org.apache.ivy.core.event.download

## Class DownloadEvent

- java.lang.Object
- - org.apache.ivy.core.event.IvyEvent
  - - org.apache.ivy.core.event.download.DownloadEvent

Direct Known Subclasses:
  EndArtifactDownloadEvent, NeedArtifactEvent, StartArtifactDownloadEvent

    public abstract class DownloadEvent
    extends IvyEvent

### Constructor Summary

Constructors
Constructor and Description
`DownloadEvent(java.lang.String name, Artifact artifact)`

### Method Summary

Methods
`protected void` `addArtifactAttributes(Artifact artifact)`
`Artifact` `getArtifact()`

### Methods inherited from class org.apache.ivy.core.event.IvyEvent

`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DownloadEvent

    public DownloadEvent(java.lang.String name,
                 Artifact artifact)

### Method Detail

#### addArtifactAttributes

    protected void addArtifactAttributes(Artifact artifact)

#### getArtifact

    public Artifact getArtifact()